Package org.opensaml.soap.wspolicy

# Interface OptionalBearing

public interface OptionalBearing
Interface for element having a `@wsp:Optional` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WSP_OPTIONAL_ATTR_LOCAL_NAME`
The wsp:@Optional attribute local name.
`static final QName`
`WSP_OPTIONAL_ATTR_NAME`
The wsp:@Optional qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isWSP12Optional()`
Get the attribute value.
`XSBooleanValue`
`isWSP12OptionalXSBoolean()`
Get the attribute value.
`void`
`setWSP12Optional(Boolean newOptional)`
Set the attribute value.
`void`
`setWSP12Optional(XSBooleanValue newOptional)`
Set the attribute value.

## Field Details

### WSP_OPTIONAL_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String WSP_OPTIONAL_ATTR_LOCAL_NAME
The wsp:@Optional attribute local name.

See Also:
  - Constant Field Values

### WSP_OPTIONAL_ATTR_NAME

@Nonnull static final QName WSP_OPTIONAL_ATTR_NAME
The wsp:@Optional qualified attribute name.

## Method Details

### isWSP12Optional

@Nullable Boolean isWSP12Optional()
Get the attribute value.

Returns:
  return the attribute value

### isWSP12OptionalXSBoolean

@Nullable XSBooleanValue isWSP12OptionalXSBoolean()
Get the attribute value.

Returns:
  return the attribute value

### setWSP12Optional

void setWSP12Optional(@Nullable Boolean newOptional)
Set the attribute value.

Parameters:
  `newOptional` - the new attribute value

### setWSP12Optional

void setWSP12Optional(@Nullable XSBooleanValue newOptional)
Set the attribute value.

Parameters:
  `newOptional` - the new attribute value